#!/bin/bash

# Prompt the user for the value of the prefix
read -p "Enter the prefix for the hostname: " prefix

# Construct URLs with the user-provided prefix
url="https://${prefix}.appsec-akaed.com/api/Quantitys/"

# Set the User-Agent string to the latest version of Ruby
user_agent="Ruby/3.2.2"

# Generating GET requests for api/Quantitys/ with Ruby User-Agent
echo "Generating GET requests for api/Quantitys/ with Ruby User-Agent"
siege -c25 -t30s --header="User-Agent: $user_agent" $url